       program fattoriale
c Questo programma calcola il fattoriale dei primi n numeri
c faccendo uso della function fatt(i) che restituisce il fattoriale
c del numero i
       implicit none
       integer n,fatt,fn
       integer i 
        write(6,*)'Introdurre N'
        read(5,*) N
        do i=1,N
           fn=fatt(i)
           write(6,*)i,'!= ',fn
        end do 
       stop
       end
  
       integer function fatt(a)
       implicit none
       integer a
       integer j 

          fatt=1   
          do j=2,a
             fatt=fatt*j
          end do
       return 
       end
